Bug Hunting Session
Bug 125181 - The shapes 'star24' and 'star32' imported from OOXML behave wrong when using the adjustment handle
Summary: The shapes 'star24' and 'star32' imported from OOXML behave wrong when using ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-08 22:57 UTC by Regina Henschel
Modified: 2019-05-25 16:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
shapes 'star24' and 'star32' (20.07 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-05-08 22:57 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-05-08 22:57:54 UTC
Created attachment 151255 [details]
shapes 'star24' and 'star32'

Open the attached document. Click on the star and drag the handle upwards to make it less sharp. Notice, that the handle jumps to the center.

The problem is, that LO follows the preset definition literally, but the specification has an error in this case.

For details read the thread https://social.msdn.microsoft.com/Forums/en-US/b0f67ace-a6e2-4cc5-a4fb-a1e0e2494303/suspicious-attribute-maxyquotssd2quot-in-presetshape-definition-of-star24-and-star32-shape?forum=os_binaryfile
Comment 1 Xisco Faulí 2019-05-09 09:09:58 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 64faea31f7d05e46fe5c91f87381ec7abae90174
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version 4.1.0.0.alpha0+ (Build ID: d2cccde341af33b72378f3e7b0e8dd9ff1cd5e6)
Comment 2 Commit Notification 2019-05-19 19:48:56 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/500a70ba19d9c1207fd9121531950e55a70fd940%5E%21

tdf#125181 maxY is 50000 in prstGeom for star24 and star32

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-05-20 18:35:38 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9345ef1cbd14411b7b5b328423fca1d443e623eb%5E%21

tdf#125181 Add shapes star24 and star32 to unit test

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Regina Henschel 2019-05-23 22:27:26 UTC
Fix is in Version: 6.3.0.0.alpha1+ (x64)
Build ID: 115ab48f86d4e3c6eede49767df1ee5a82b4ab22
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-20_17:50:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-05-25 16:21:44 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bfd26fd04ba06d0eac3fb516c6548a1e6eacc6df%5E%21

tdf#125181 Update comment in unit test for added shapes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.